## fish 3.1b1-137

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.2)

IF(POLICY CMP0066)
  CMAKE_POLICY(SET CMP0066 OLD)
ENDIF()
IF(POLICY CMP0067)
  CMAKE_POLICY(SET CMP0067 NEW)
ENDIF()

PROJECT(fish)

# We are C++11.
SET(CMAKE_CXX_STANDARD 11)
SET(DEFAULT_BUILD_TYPE "RelWithDebInfo")

# Use the default flags (#6296) but remove -DNDEBUG so that asserts remain enabled.
STRING(REPLACE "-DNDEBUG" ""
  CMAKE_CXX_FLAGS_RELWITHDEBINFO
  "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}")

STRING(REPLACE "-DNDEBUG" ""
  CMAKE_CXX_FLAGS_RELEASE
  "${CMAKE_CXX_FLAGS_RELEASE}")

IF(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    MESSAGE(STATUS "Setting build type to default '${DEFAULT_BUILD_TYPE}'")
    SET(CMAKE_BUILD_TYPE "${DEFAULT_BUILD_TYPE}")
ENDIF()

# Force colored warnings in Ninja's output, if the compiler has -fdiagnostics-color support.
# Rationale in https://github.com/ninja-build/ninja/issues/814
if (CMAKE_GENERATOR STREQUAL "Ninja" AND
    ((CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9) OR
     (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.5) OR
     (CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0)))
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
endif()
# Enable a whole bunch of warnings, but turn off:
# - implicit fallthrough because that does not recognize some cases where it's desired (and I *really* want this one!)
# - comment because we use a bunch of those, and they're not really all that harmful.
# - address, because that occurs for our mkostemp check (weak-linking requires us to compare `&mkostemp == nullptr`).
# - strict-aliasing, because on old GCCs (*Travis*) those are triggered by maybe.h, so you get it every time it is included.
# - redundant-move, because we have one that is required on old libc
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra \
-Wno-implicit-fallthrough \
-Wno-comment \
-Wno-address \
-Wno-strict-aliasing \
-Wno-redundant-move \
")

# Disable exception handling.
ADD_COMPILE_OPTIONS(-fno-exceptions)

# Prefer the gold linker because it doesn't emit useless warnings about sys_nerr and _sys_errlist.
if (UNIX AND NOT APPLE)
  EXECUTE_PROCESS(COMMAND ${CMAKE_C_COMPILER} -fuse-ld=gold -Wl,--version
                  ERROR_QUIET OUTPUT_VARIABLE LD_VERSION)
  if ("${LD_VERSION}" MATCHES "GNU gold")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fuse-ld=gold")
  endif()
endif()

# Hide the CMake Rules directories in Xcode projects.
SOURCE_GROUP("CMake Rules" REGULAR_EXPRESSION "^$")

# Put source and header files at top level under targets.
SOURCE_GROUP("Source Files" REGULAR_EXPRESSION "^$")
SOURCE_GROUP("Header Files" REGULAR_EXPRESSION "^$")
SOURCE_GROUP("Builtins" REGULAR_EXPRESSION "builtin_.*")

# Support folders.
SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)

# Work around issue where archive-built libs go in the wrong place.
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

IF(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
  SET(FISH_IN_TREE_BUILD TRUE)
ELSE()
  SET(FISH_IN_TREE_BUILD FALSE)
ENDIF()

# NetBSD does weird things with finding libraries,
# making the tests fail by failing to find pcre.
#
# Keep the rpath used to build.
IF(CMAKE_SYSTEM_NAME STREQUAL NetBSD)
  SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
ENDIF()

# All objects that the system needs to build fish, except fish.cpp
SET(FISH_SRCS
    src/autoload.cpp src/builtin.cpp src/builtin_bg.cpp src/builtin_bind.cpp
    src/builtin_block.cpp src/builtin_builtin.cpp src/builtin_cd.cpp
    src/builtin_command.cpp src/builtin_commandline.cpp
    src/builtin_complete.cpp src/builtin_contains.cpp src/builtin_disown.cpp
    src/builtin_echo.cpp src/builtin_emit.cpp src/builtin_exit.cpp
    src/builtin_fg.cpp src/builtin_function.cpp src/builtin_functions.cpp
    src/builtin_argparse.cpp src/builtin_history.cpp src/builtin_jobs.cpp
    src/builtin_math.cpp src/builtin_printf.cpp src/builtin_pwd.cpp
    src/builtin_random.cpp src/builtin_read.cpp src/builtin_realpath.cpp
    src/builtin_return.cpp src/builtin_set.cpp src/builtin_set_color.cpp
    src/builtin_source.cpp src/builtin_status.cpp src/builtin_string.cpp
    src/builtin_test.cpp src/builtin_ulimit.cpp src/builtin_wait.cpp src/builtin_eval.cpp
    src/color.cpp src/common.cpp src/complete.cpp src/env.cpp src/env_dispatch.cpp
    src/env_universal_common.cpp src/event.cpp src/exec.cpp src/expand.cpp
    src/fallback.cpp src/fish_version.cpp src/function.cpp src/highlight.cpp
    src/history.cpp src/history_file.cpp src/input.cpp src/input_common.cpp src/intern.cpp
    src/io.cpp src/iothread.cpp src/kill.cpp src/output.cpp src/pager.cpp
    src/parse_execution.cpp src/parse_productions.cpp src/parse_tree.cpp
    src/parse_util.cpp src/parser.cpp src/parser_keywords.cpp src/path.cpp
    src/postfork.cpp src/proc.cpp src/reader.cpp src/sanity.cpp src/screen.cpp
    src/signal.cpp src/tinyexpr.cpp src/tnode.cpp src/tokenizer.cpp src/utf8.cpp src/util.cpp
    src/wcstringutil.cpp src/wgetopt.cpp src/wildcard.cpp src/wutil.cpp
    src/future_feature_flags.cpp src/redirection.cpp src/topic_monitor.cpp
    src/flog.cpp src/trace.cpp src/timer.cpp src/null_terminated_array.cpp
    src/operation_context.cpp src/fd_monitor.cpp
)

# Header files are just globbed.
FILE(GLOB FISH_HEADERS src/*.h)

# Set up config.h
INCLUDE(cmake/ConfigureChecks.cmake)
INCLUDE(cmake/gettext.cmake)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config_cmake.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

# Set up standard directories.
INCLUDE(GNUInstallDirs)
ADD_DEFINITIONS(-D_UNICODE=1
                -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
                -DPREFIX=L"${CMAKE_INSTALL_PREFIX}"
                -DDATADIR=L"${CMAKE_INSTALL_FULL_DATADIR}"
                -DSYSCONFDIR=L"${CMAKE_INSTALL_FULL_SYSCONFDIR}"
                -DBINDIR=L"${CMAKE_INSTALL_FULL_BINDIR}"
                -DDOCDIR=L"${CMAKE_INSTALL_FULL_DOCDIR}")

# Set up the machinery around FISH-BUILD-VERSION-FILE
# This defines the FBVF variable.
INCLUDE(Version)

# Let fish pick up when we're running out of the build directory without installing
GET_FILENAME_COMPONENT(REAL_CMAKE_BINARY_DIR "${CMAKE_BINARY_DIR}" REALPATH)
GET_FILENAME_COMPONENT(REAL_CMAKE_SOURCE_DIR "${CMAKE_SOURCE_DIR}" REALPATH)
ADD_DEFINITIONS(-DCMAKE_BINARY_DIR="${REAL_CMAKE_BINARY_DIR}")
ADD_DEFINITIONS(-DCMAKE_SOURCE_DIR="${REAL_CMAKE_SOURCE_DIR}")

# Teach fish_version.o to rebuild when FBVF changes.
# The standard C++ include detection machinery misses this.
SET_SOURCE_FILES_PROPERTIES(src/fish_version.cpp
                            PROPERTIES OBJECT_DEPENDS
                            ${CMAKE_CURRENT_BINARY_DIR}/${FBVF})

# Enable thread-safe errno on Solaris (#5611)
ADD_DEFINITIONS(-D_REENTRANT)

# Set up PCRE2
INCLUDE(cmake/PCRE2.cmake)

# Define a function to link dependencies.
FUNCTION(FISH_LINK_DEPS target)
  TARGET_LINK_LIBRARIES(${target} fishlib)
ENDFUNCTION(FISH_LINK_DEPS)

# Define libfish.a.
ADD_LIBRARY(fishlib STATIC ${FISH_SRCS})
TARGET_SOURCES(fishlib PRIVATE ${FISH_HEADERS})
TARGET_LINK_LIBRARIES(fishlib
  ${CURSES_LIBRARY} ${CURSES_EXTRA_LIBRARY} Threads::Threads ${CMAKE_DL_LIBS}
  ${PCRE2_LIB} ${Intl_LIBRARIES} ${ATOMIC_LIBRARY})

# Define fish.
ADD_EXECUTABLE(fish src/fish.cpp)
FISH_LINK_DEPS(fish)

# Define fish_indent.
ADD_EXECUTABLE(fish_indent
               src/fish_indent.cpp src/print_help.cpp)
FISH_LINK_DEPS(fish_indent)

# Define fish_key_reader.
ADD_EXECUTABLE(fish_key_reader
               src/fish_key_reader.cpp src/print_help.cpp)
FISH_LINK_DEPS(fish_key_reader)

# Set up the docs.
INCLUDE(cmake/Docs.cmake)

# A helper for running tests.
ADD_EXECUTABLE(fish_test_helper src/fish_test_helper.cpp)

# Set up tests.
INCLUDE(cmake/Tests.cmake)

# Benchmarking support.
INCLUDE(cmake/Benchmark.cmake)

# Set up install.
INCLUDE(cmake/Install.cmake)

# Mac app.
INCLUDE(cmake/MacApp.cmake)

# Lint targets
# This could be implemented as target properties, but the script has the useful feature of only
# checking the currently-staged commands
# The generator expressions below rebuild the command line for the fishlib targets
# CMake does not support the "iquote" flag - https://gitlab.kitware.com/cmake/cmake/issues/15491
SET(LINT_ARGS "-D$<JOIN:$<TARGET_PROPERTY:fishlib,COMPILE_DEFINITIONS>, -D>" "-I$<JOIN:$<TARGET_PROPERTY:fishlib,INCLUDE_DIRECTORIES>, -I>")
ADD_CUSTOM_TARGET(lint
    COMMAND build_tools/lint.fish -- ${LINT_ARGS}
    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
)
ADD_CUSTOM_TARGET(lint-all
    COMMAND build_tools/lint.fish --all -- ${LINT_ARGS}
    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
)

INCLUDE(FeatureSummary)
FEATURE_SUMMARY(WHAT ALL)

## fish 3.1b1-137-g4c66e69cd

=== debian/changelog ===
fish (3.1b1-137-g4c66e69cd-1~unstable) unstable; urgency=medium

  * Snapshot build from 4c66e69cd

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 09 Feb 2020 17:34:10 +0800

fish (2.7.1-1) testing; urgency=medium

  * Release of new bug fix version 2.7.1. On all Linux platforms, this is
    release will behave identically to 2.7.0.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 23 Dec 2017 00:43:12 +0800

fish (2.7.0-1) testing; urgency=medium

  * Release of new version 2.7.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.7.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 23 Nov 2017 18:38:21 +0800

fish (2.6.0-1) testing; urgency=medium

  * Relase of new version 2.6.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.6.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 03 Jun 2017 20:51:50 +0800

fish (2.6b1-1) testing; urgency=medium

  * Release of new beta version 2.6b1.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.6b1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 14 May 2017 10:47:39 +0800

fish (2.5.0-1) testing; urgency=medium

  * Release of new version 2.5.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.5.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Fri, 03 Feb 2017 09:52:57 +0800

fish (2.5b1-1) testing; urgency=medium

  * Release of new beta version 2.5b1.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.5b1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 14 Jan 2017 08:49:34 +0800

fish (2.4.0-2) testing; urgency=medium

  * Change recommendation of xdg-utils to suggestion (closes
    https://github.com/fish-shell/fish-shell/issues/3534).

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 09 Nov 2016 22:56:16 +0800

fish (2.4.0-1) testing; urgency=medium

  * Release of new version 2.4.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.4.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 08 Nov 2016 11:29:57 +0800

fish (2.4b1-1) testing; urgency=medium

  * Release of new beta version 2.4b1.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.4b1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 18 Oct 2016 22:25:26 +0800

fish (2.3.1-1) testing; urgency=medium

  * Release of new version 2.3.1.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 03 Jul 2016 21:21:51 +0800

fish (2.3.0-1) testing; urgency=medium

  * Release of new version 2.3.0.

  See http://fishshell.com/release_notes.html for significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 21 May 2016 06:59:54 +0800

fish (2.3b2-1) testing; urgency=medium

  * Release of new beta version 2.3b2.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.3b2 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 05 May 2016 06:22:37 +0800

fish (2.2.0-2) testing; urgency=medium

  * Binary rebuild only to resynchronise repository state.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 15 Feb 2016 22:45:05 +0800

fish (2.2.0-1) testing; urgency=medium

  * Release of new version 2.2.0.

    See http://fishshell.com/release_notes.html for significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 12 Jul 2015 18:52:29 +0800

=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: ridiculous_fish <corydoras@ridiculousfish.com>
Uploaders: David Adam <zanchey@ucc.gu.uwa.edu.au>
Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, cmake3 (>= 3.2.0) | cmake (>= 3.2.0), gettext,
# Test dependencies
 locales-all, python3
# When libpcre2-dev is available on all supported Debian versions, add a dependency on that.
Standards-Version: 4.1.5
Homepage: https://fishshell.com/
Vcs-Git: https://github.com/fish-shell/fish-shell.git
Vcs-Browser: https://github.com/fish-shell/fish-shell

Package: fish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fish-common (= ${source:Version}), passwd (>= 4.0.3-10), gettext-base, man-db
Recommends: xsel (>=1.2.0)
Description: friendly interactive shell
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.

Package: fish-common
Architecture: all
Depends: ${misc:Depends}
Recommends: fish, python3 (>= 3.5)
Suggests: xdg-utils
Replaces: fish (<= 2.1.1.dfsg-2)
Description: friendly interactive shell (architecture-independent files)
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.
 .
 This package contains the common fish files shared by all architectures.

Package: fish-dbg
Architecture: any
Section: debug
Depends: fish (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for friendly interactive shell
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.
 .
 This package contains the debugging symbols for fish.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# Until all platforms have debhelper 9.20151004, Debian bug 719148 needs to be worked around
	dh_auto_configure --buildsystem=cmake --parallel -- -DCMAKE_INSTALL_SYSCONFDIR=/etc

override_dh_installdocs:
	dh_installdocs --link-doc=fish

# Still needed until all platforms have debhelper 9.20151219
# Consider transitioning https://wiki.debian.org/DebugPackage
override_dh_strip:
	dh_strip --dbg-package=fish-dbg

## fish 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -118,7 +118,7 @@
     src/wcstringutil.cpp src/wgetopt.cpp src/wildcard.cpp src/wutil.cpp
     src/future_feature_flags.cpp src/redirection.cpp src/topic_monitor.cpp
     src/flog.cpp src/trace.cpp src/timer.cpp src/null_terminated_array.cpp
-    src/operation_context.cpp src/fd_monitor.cpp
+    src/operation_context.cpp
 )
 
 # Header files are just globbed.

=== debian/changelog ===
fish (3.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  [ Piper McCorkle ]
  * Depend on python3-distutils so fish_config works (Closes: #956565)

 -- Punit Agrawal <punit@debian.org>  Sat, 18 Apr 2020 07:36:57 +0900

fish (3.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark fish-common as Multi-Arch: foreign

 -- Punit Agrawal <punit@debian.org>  Sat, 07 Mar 2020 10:01:55 +0900

fish (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Deprecate two of the old patches as they nolonger apply.
  * Build system migration from autotools to CMake.
  * Export HOME=/tmp for the tests.
  * Update my mail address in control and copyright.
  * Don't install rg.fish (older than the one provided in src:ripgrep).
    Change dh_missing behaviour to --fail-missing.
  * Bump Standards-Version to 4.5.0 (no change).
  * Rules: don't install CHANGELOG more than once.
  * Apply wrap-and-sort.
  * Deprecate d/compat and B-D on debhelper-compat (= 12).
  * Build-Depends on python3.
  * Build-Depends on ninja and use the cmake+ninja buildsystem.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Feb 2020 12:19:00 +0800

=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: bc,
               bsdmainutils,
               cmake,
               debhelper (>= 11),
               debhelper-compat (=12),
               doxygen,
               expect,
               gettext,
               groff-base,
               libncurses5-dev,
               libpcre2-dev,
               locales-all,
               ninja-build,
               procps,
               python3,
               quilt
Standards-Version: 4.5.0
Homepage: http://fishshell.com/
Vcs-Browser: https://salsa.debian.org/debian/fish
Vcs-Git: https://salsa.debian.org/debian/fish.git

Package: fish
Architecture: any
Depends: bc,
         fish-common (= ${source:Version}),
         lynx | www-browser,
         man-db,
         python3,
         python3-distutils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xsel
Suggests: doc-base
Pre-Depends: dpkg (>= 1.17.14)
Description: friendly interactive shell
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.

Package: fish-common
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Recommends: fish
Replaces: fish (<= 2.1.1.dfsg-2)
Description: friendly interactive shell (architecture-independent files)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains the common fish files shared by all architectures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export TERM=xterm
export LC_ALL=C.UTF-8
export HOME=/tmp/

%:
	dh $@ -Scmake+ninja

override_dh_install:
	dh_install -Xrg.fish -XCHANGELOG

override_dh_missing:
	dh_missing --fail-missing

## fish 3.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 IF(POLICY CMP0067)
   CMAKE_POLICY(SET CMP0067 NEW)
 ENDIF()
+
+set(CMAKE_OSX_DEPLOYMENT_TARGET "10.9" CACHE STRING "Minimum OS X deployment version")
 
 PROJECT(fish)
 
@@ -163,10 +165,26 @@
 # Set up PCRE2
 INCLUDE(cmake/PCRE2.cmake)
 
+# Code signing ID on Mac. A default '-' is ad-hoc codesign.
+SET(MAC_CODESIGN_ID "-" CACHE STRING "Mac code-signing identity")
+
+FUNCTION(CODESIGN_ON_MAC target)
+  IF(APPLE)
+    ADD_CUSTOM_COMMAND(
+      TARGET ${target}
+      POST_BUILD
+      COMMAND codesign --force --deep --options runtime --sign "${MAC_CODESIGN_ID}" $<TARGET_FILE:${target}>
+      VERBATIM
+    )
+  ENDIF()
+ENDFUNCTION(CODESIGN_ON_MAC target)
+
+
 # Define a function to link dependencies.
-FUNCTION(FISH_LINK_DEPS target)
+FUNCTION(FISH_LINK_DEPS_AND_SIGN target)
   TARGET_LINK_LIBRARIES(${target} fishlib)
-ENDFUNCTION(FISH_LINK_DEPS)
+  CODESIGN_ON_MAC(${target})
+ENDFUNCTION(FISH_LINK_DEPS_AND_SIGN)
 
 # Define libfish.a.
 ADD_LIBRARY(fishlib STATIC ${FISH_SRCS})
@@ -177,17 +195,17 @@
 
 # Define fish.
 ADD_EXECUTABLE(fish src/fish.cpp)
-FISH_LINK_DEPS(fish)
+FISH_LINK_DEPS_AND_SIGN(fish)
 
 # Define fish_indent.
 ADD_EXECUTABLE(fish_indent
                src/fish_indent.cpp src/print_help.cpp)
-FISH_LINK_DEPS(fish_indent)
+FISH_LINK_DEPS_AND_SIGN(fish_indent)
 
 # Define fish_key_reader.
 ADD_EXECUTABLE(fish_key_reader
                src/fish_key_reader.cpp src/print_help.cpp)
-FISH_LINK_DEPS(fish_key_reader)
+FISH_LINK_DEPS_AND_SIGN(fish_key_reader)
 
 # Set up the docs.
 INCLUDE(cmake/Docs.cmake)

=== debian/changelog ===
fish (3.1.2-3+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent certain git commands that may invoke certain external programs
    in fish_git_prompt (CVE-2022-20001)

 -- Aron Xu <aron@debian.org>  Fri, 16 Sep 2022 22:42:06 +0800

fish (3.1.2-3) unstable; urgency=medium

  * Fix changelog that I somehow mangled.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 24 Jul 2020 09:27:34 +0200

fish (3.1.2-2) unstable; urgency=medium

  * Minimize upstream keyring.
  * Fix dh_install excludes, thanks to David Adam (Closes: #964385).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jul 2020 12:28:54 +0200

fish (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Bump debhelper compat level to 13 (no change).
  * Specify Rules-Requires-Root: no.

 -- Mo Zhou <lumin@debian.org>  Tue, 12 May 2020 09:10:21 +0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends: bc,
                bsdmainutils,
                cmake,
-               debhelper (>= 11),
-               debhelper-compat (=12),
+               debhelper-compat (= 13),
                doxygen,
                expect,
                gettext,
@@ -23,6 +22,7 @@
 Homepage: http://fishshell.com/
 Vcs-Browser: https://salsa.debian.org/debian/fish
 Vcs-Git: https://salsa.debian.org/debian/fish.git
+Rules-Requires-Root: no
 
 Package: fish
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 	dh $@ -Scmake+ninja
 
 override_dh_install:
-	dh_install -Xrg.fish -XCHANGELOG
+	dh_install -Xshare/fish/completions/rg.fish -XCHANGELOG
 
 override_dh_missing:
 	dh_missing --fail-missing
-

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" \
   https://github.com/fish-shell/fish-shell/releases \
   (?:.*?)/fish-(\d[\d.]*)\.tar\.gz debian

## fish 3.3.1%2Bds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

if(POLICY CMP0066)
  cmake_policy(SET CMP0066 OLD)
endif()
if(POLICY CMP0067)
  cmake_policy(SET CMP0067 NEW)
endif()

include(cmake/Mac.cmake)

project(fish)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# We are C++11.
set(CMAKE_CXX_STANDARD 11)
set(DEFAULT_BUILD_TYPE "RelWithDebInfo")

# Use the default flags (#6296) but remove -DNDEBUG so that asserts remain enabled.
string(REPLACE "-DNDEBUG" ""
  CMAKE_CXX_FLAGS_RELWITHDEBINFO
  "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}")

string(REPLACE "-DNDEBUG" ""
  CMAKE_CXX_FLAGS_RELEASE
  "${CMAKE_CXX_FLAGS_RELEASE}")

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    message(STATUS "Setting build type to default '${DEFAULT_BUILD_TYPE}'")
    set(CMAKE_BUILD_TYPE "${DEFAULT_BUILD_TYPE}")
endif()

# Error out when linking statically, it doesn't work.
if (CMAKE_EXE_LINKER_FLAGS MATCHES ".*-static.*")
    message(FATAL_ERROR "Fish does not support static linking")
endif()

# Force colored warnings in Ninja's output, if the compiler has -fdiagnostics-color support.
# Rationale in https://github.com/ninja-build/ninja/issues/814
if (CMAKE_GENERATOR STREQUAL "Ninja" AND
    ((CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9) OR
     (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.5) OR
     (CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0)))
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
endif()

# Enable a whole bunch of warnings, but turn off:
# - comment because we use a bunch of those, and they're not really all that harmful.
# - address, because that occurs for our mkostemp check (weak-linking requires us to compare `&mkostemp == nullptr`).
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra \
-Wno-comment \
-Wno-address \
")

# Disable exception handling.
add_compile_options(-fno-exceptions)

# Prefer lld or the gold linker because they don't emit useless warnings about sys_nerr and
# _sys_errlist. They're also faster (significantly so in the case of lld).
if (UNIX)
    execute_process(COMMAND ${CMAKE_C_COMPILER} -fuse-ld=lld -Wl,--version
        ERROR_QUIET OUTPUT_VARIABLE LD_VERSION)
    if ("${LD_VERSION}" MATCHES "LLD ")
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fuse-ld=lld")
    elseif (NOT APPLE)
        execute_process(COMMAND ${CMAKE_C_COMPILER} -fuse-ld=gold -Wl,--version
            ERROR_QUIET OUTPUT_VARIABLE LD_VERSION)
        if ("${LD_VERSION}" MATCHES "GNU gold")
            set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fuse-ld=gold")
        endif()
    endif()
endif()

# Hide the CMake Rules directories in Xcode projects.
source_group("CMake Rules" REGULAR_EXPRESSION "^$")

# Put source and header files at top level under targets.
source_group("Source Files" REGULAR_EXPRESSION "^$")
source_group("Header Files" REGULAR_EXPRESSION "^$")
source_group("Builtins" REGULAR_EXPRESSION "builtin_.*")

# Support folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

# Work around issue where archive-built libs go in the wrong place.
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
  set(FISH_IN_TREE_BUILD TRUE)
else()
  set(FISH_IN_TREE_BUILD FALSE)
endif()

# NetBSD does weird things with finding libraries,
# making the tests fail by failing to find pcre.
#
# Keep the rpath used to build.
if(CMAKE_SYSTEM_NAME STREQUAL NetBSD)
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif()

# All objects that the system needs to build fish, except fish.cpp
set(FISH_SRCS
    src/ast.cpp src/autoload.cpp src/builtin.cpp src/builtin_argparse.cpp
    src/builtin_bg.cpp src/builtin_bind.cpp src/builtin_block.cpp
    src/builtin_builtin.cpp src/builtin_cd.cpp src/builtin_command.cpp
    src/builtin_commandline.cpp src/builtin_complete.cpp src/builtin_contains.cpp
    src/builtin_disown.cpp src/builtin_echo.cpp src/builtin_emit.cpp
    src/builtin_eval.cpp src/builtin_exit.cpp src/builtin_fg.cpp
    src/builtin_function.cpp src/builtin_functions.cpp src/builtin_history.cpp
    src/builtin_jobs.cpp src/builtin_math.cpp src/builtin_printf.cpp
    src/builtin_pwd.cpp src/builtin_random.cpp src/builtin_read.cpp
    src/builtin_realpath.cpp src/builtin_return.cpp src/builtin_set.cpp
    src/builtin_set_color.cpp src/builtin_source.cpp src/builtin_status.cpp
    src/builtin_string.cpp src/builtin_test.cpp src/builtin_type.cpp src/builtin_ulimit.cpp
    src/builtin_wait.cpp src/color.cpp src/common.cpp src/complete.cpp src/env.cpp
    src/env_dispatch.cpp src/env_universal_common.cpp src/event.cpp src/exec.cpp
    src/expand.cpp src/fallback.cpp src/fd_monitor.cpp src/fish_version.cpp
    src/flog.cpp src/function.cpp src/future_feature_flags.cpp src/highlight.cpp
    src/history.cpp src/history_file.cpp src/input.cpp src/input_common.cpp
    src/intern.cpp src/io.cpp src/iothread.cpp src/job_group.cpp src/kill.cpp
    src/null_terminated_array.cpp src/operation_context.cpp src/output.cpp
    src/pager.cpp src/parse_execution.cpp src/parse_tree.cpp src/parse_util.cpp
    src/parser.cpp src/parser_keywords.cpp src/path.cpp src/postfork.cpp
    src/proc.cpp src/reader.cpp src/redirection.cpp src/sanity.cpp src/screen.cpp
    src/signal.cpp src/termsize.cpp src/timer.cpp src/tinyexpr.cpp
    src/tokenizer.cpp src/topic_monitor.cpp src/trace.cpp src/utf8.cpp src/util.cpp
    src/wait_handle.cpp src/wcstringutil.cpp src/wgetopt.cpp src/wildcard.cpp 
    src/wutil.cpp src/fds.cpp
)

# Header files are just globbed.
file(GLOB FISH_HEADERS src/*.h)

# Set up config.h
include(cmake/ConfigureChecks.cmake)
include(cmake/gettext.cmake)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config_cmake.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Set up standard directories.
include(GNUInstallDirs)
add_definitions(-D_UNICODE=1
                -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
                -DPREFIX=L"${CMAKE_INSTALL_PREFIX}"
                -DDATADIR=L"${CMAKE_INSTALL_FULL_DATADIR}"
                -DSYSCONFDIR=L"${CMAKE_INSTALL_FULL_SYSCONFDIR}"
                -DBINDIR=L"${CMAKE_INSTALL_FULL_BINDIR}"
                -DDOCDIR=L"${CMAKE_INSTALL_FULL_DOCDIR}")

# Set up the machinery around FISH-BUILD-VERSION-FILE
# This defines the FBVF variable.
include(Version)

# Let fish pick up when we're running out of the build directory without installing
get_filename_component(REAL_CMAKE_BINARY_DIR "${CMAKE_BINARY_DIR}" REALPATH)
get_filename_component(REAL_CMAKE_SOURCE_DIR "${CMAKE_SOURCE_DIR}" REALPATH)
add_definitions(-DCMAKE_BINARY_DIR="${REAL_CMAKE_BINARY_DIR}")
add_definitions(-DCMAKE_SOURCE_DIR="${REAL_CMAKE_SOURCE_DIR}")

# Teach fish_version.o to rebuild when FBVF changes.
# The standard C++ include detection machinery misses this.
set_source_files_properties(src/fish_version.cpp
                            PROPERTIES OBJECT_DEPENDS
                            ${CMAKE_CURRENT_BINARY_DIR}/${FBVF})

# Enable thread-safe errno on Solaris (#5611)
add_definitions(-D_REENTRANT)

# Set up PCRE2
include(cmake/PCRE2.cmake)

# Define a function to link dependencies.
function(FISH_LINK_DEPS_AND_SIGN target)
  target_link_libraries(${target} fishlib)
  codesign_on_mac(${target})
endfunction(FISH_LINK_DEPS_AND_SIGN)

# Define libfish.a.
add_library(fishlib STATIC ${FISH_SRCS})
target_sources(fishlib PRIVATE ${FISH_HEADERS})
target_link_libraries(fishlib
  ${CURSES_LIBRARY} ${CURSES_EXTRA_LIBRARY} Threads::Threads ${CMAKE_DL_LIBS}
  ${PCRE2_LIB} ${Intl_LIBRARIES} ${ATOMIC_LIBRARY})
target_include_directories(fishlib PRIVATE
  ${CURSES_INCLUDE_DIRS})

# Define fish.
add_executable(fish src/fish.cpp)
fish_link_deps_and_sign(fish)

# Define fish_indent.
add_executable(fish_indent
               src/fish_indent.cpp src/print_help.cpp)
fish_link_deps_and_sign(fish_indent)

# Define fish_key_reader.
add_executable(fish_key_reader
               src/fish_key_reader.cpp src/print_help.cpp)
fish_link_deps_and_sign(fish_key_reader)

# Set up the docs.
include(cmake/Docs.cmake)

# A helper for running tests.
add_executable(fish_test_helper src/fish_test_helper.cpp)

# Set up tests.
include(cmake/Tests.cmake)

# Benchmarking support.
include(cmake/Benchmark.cmake)

# Set up install.
include(cmake/Install.cmake)

# Mac app.
include(cmake/MacApp.cmake)

# ThreadSanitizer likes to muck with signal handlers, which interferes
# with fish_test_helper printing the ignored signal mask.
# Ensure fish_test_helper does not use TSan.
# Note the environment var is CXXFLAGS, but the CMake var is CMAKE_CXX_FLAGS.
if (CMAKE_CXX_FLAGS MATCHES ".*-fsanitize=thread.*")
  target_compile_options(fish_test_helper PRIVATE "-fno-sanitize=all")
  target_link_libraries(fish_test_helper "-fno-sanitize=all")
endif()

# Lint targets
# This could be implemented as target properties, but the script has the useful feature of only
# checking the currently-staged commands
# The generator expressions below rebuild the command line for the fishlib targets
# CMake does not support the "iquote" flag - https://gitlab.kitware.com/cmake/cmake/issues/15491
set(LINT_ARGS "-D$<JOIN:$<TARGET_PROPERTY:fishlib,COMPILE_DEFINITIONS>, -D>" "-I$<JOIN:$<TARGET_PROPERTY:fishlib,INCLUDE_DIRECTORIES>, -I>")
add_custom_target(lint
    COMMAND build_tools/lint.fish -p ${CMAKE_BINARY_DIR} -- ${LINT_ARGS}
    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
)
add_custom_target(lint-all
    COMMAND build_tools/lint.fish --all -p ${CMAKE_BINARY_DIR} -- ${LINT_ARGS}
    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
)

include(FeatureSummary)
feature_summary(WHAT ALL)

=== debian/changelog ===
fish (3.3.1+ds-3) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Fix missing incldue for DEB_VERSION (Closes: #1001583, #1002332).
  * Adapt version filtering regex to fix build on Salsa CI

  [ Mo Zhou ]
  * No resetting PATH with hardcoded list. (Closes: #1000199)
    Thanks to Federico Di Gregorio
  * Use DEB_VERSION_UPSTREAM instead for correct version string.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 12:37:31 -0500

fish (3.3.1+ds-2) unstable; urgency=medium

  [ David Adam ]
  * Remove obsolete dh_install override
  * Remove and refresh dependencies
  * Add build dependency on Sphinx (Closes: #999701)

  [ Jochen Sprickerhof ]
  * Fix reset $PATH only for login shells (Closes: #999749)
  * Fix dependency on ul
  * Drop old Pre-Dep/Replaces (versions are in oldoldstable)
  * Drop unused build dependency on quilt
  * Adopt to debhelper 13
  * Drop wrong lintian overwrites
  * Replace transition package libncurses5-dev

  [ Mo Zhou ]
  * d/watch: Import from git release instead of git tags.
  * Really export variables to fixup hardening.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.0 (no change).

 -- Mo Zhou <lumin@debian.org>  Fri, 19 Nov 2021 14:35:52 -0500

fish (3.3.1+ds-1) unstable; urgency=medium

  [ Tristan Seligmann ]
  * Delete .gitlab-ci.yml; using recipes/debian.yml@salsa-ci-team/pipeline now.

  [ Patrice Duroux ]
  * Make new upstream releases detectable by uscan. (Closes: #985665)

  [ Mo Zhou ]
  * New upstream version 3.3.1 (Closes: #968303)
  * Update debian/fish.docs and d/watch files.
  * Add python3-pexpect as a test dependency.
  * Synchronize default PATH of fish with /etc/profile. (Closes: #985153)
  * Remove unwanted tests following upstream.
  * Override upstream git version detection.
  * Strip upstream vendored PCRE2 library.

 -- Mo Zhou <lumin@debian.org>  Sun, 14 Nov 2021 20:28:38 -0500

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%,dversionmangle=s/\+ds$//,repacksuffix=+ds" \
   https://github.com/fish-shell/fish-shell/releases \
   (?:.*?)/fish-(\d[\d.]*)@ARCHIVE_EXT@ debian

## fish 3.3.1+ds

=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               libncurses-dev,
               libpcre2-dev,
               locales-all <!nocheck>,
               ninja-build,
               procps <!nocheck>,
               python3 <!nocheck>,
               python3-sphinx,
               python3-pexpect <!nocheck>,
Standards-Version: 4.6.0
Homepage: http://fishshell.com/
Vcs-Browser: https://salsa.debian.org/debian/fish
Vcs-Git: https://salsa.debian.org/debian/fish.git
Rules-Requires-Root: no

Package: fish
Architecture: any
Depends: fish-common (= ${source:Version}),
         bsdextrautils,
         groff-base,
         lynx | www-browser,
         man-db,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xsel
Suggests: doc-base
Description: friendly interactive shell
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.

Package: fish-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fish
Description: friendly interactive shell (architecture-independent files)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains the common fish files shared by all architectures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export TERM=xterm
export LC_ALL=C.UTF-8

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ -Scmake+ninja

execute_before_dh_auto_configure:
	echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+ds//' -e 's/\+salsaci//' > version

override_dh_install:
	dh_install -XCHANGELOG

## fish 3.3.1-1~bionic+9.0trisquel1

=== debian/changelog ===
fish (3.3.1-1~bionic+9.0trisquel1) etiona-backports; urgency=medium

  * Updated from 2.x to 3.x release through backports

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 14 Sep 2021 21:12:33 +0000

fish (3.3.1-1~bionic) bionic; urgency=medium

  * Release of new version 3.3.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.3.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 06 Jul 2021 23:22:36 +0800

fish (3.3.0-1) bionic; urgency=medium

  * Release of new version 3.3.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.3.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 28 Jun 2021 23:06:36 +0800

fish (3.2.2-1) bionic; urgency=medium

  * Release of new version 3.2.2.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.2.2 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 07 Apr 2021 21:10:54 +0800

fish (3.2.1-1) bionic; urgency=medium

  * Release of new version 3.2.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.2.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 18 Mar 2021 12:08:13 +0800

fish (3.2.0-1) bionic; urgency=medium

  * Release of new version 3.2.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.2.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 01 Mar 2021 21:22:39 +0800

fish (3.1.2-1) bionic; urgency=medium

  * Release of new version 3.1.2.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.1.2 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 29 Apr 2020 11:22:35 +0800

fish (3.1.1-1) bionic; urgency=medium

  * Release of new version 3.1.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.1.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 27 Apr 2020 22:45:35 +0800

fish (3.1.0-1) bionic; urgency=medium

  * Release of new version 3.1.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.1.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 12 Feb 2020 22:34:53 +0800

fish (3.0.2-1) bionic; urgency=medium

  * Release of new version 3.0.2.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.0.2 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 19 Feb 2019 21:45:05 +0800

fish (3.0.1-1) bionic; urgency=medium

  * Release of new version 3.0.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.0.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 11 Feb 2019 20:23:55 +0800

fish (3.0.0-1) bionic; urgency=medium

  * Release of new version 3.0.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.0.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Fri, 28 Dec 2018 21:10:28 +0800

fish (2.7.1-1) bionic; urgency=medium

  * Release of new bug fix version 2.7.1. On all Linux platforms, this is
    release will behave identically to 2.7.0.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 23 Dec 2017 00:43:12 +0800

fish (2.7.0-1) bionic; urgency=medium

  * Release of new version 2.7.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.7.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 23 Nov 2017 18:38:21 +0800

fish (2.6.0-1) bionic; urgency=medium

  * Relase of new version 2.6.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.6.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 03 Jun 2017 20:51:50 +0800

fish (2.6b1-1) bionic; urgency=medium

  * Release of new beta version 2.6b1.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.6b1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 14 May 2017 10:47:39 +0800

fish (2.5.0-1) bionic; urgency=medium

  * Release of new version 2.5.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.5.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Fri, 03 Feb 2017 09:52:57 +0800

fish (2.5b1-1) bionic; urgency=medium

  * Release of new beta version 2.5b1.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.5b1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 14 Jan 2017 08:49:34 +0800

fish (2.4.0-2) bionic; urgency=medium

  * Change recommendation of xdg-utils to suggestion (closes
    https://github.com/fish-shell/fish-shell/issues/3534).

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 09 Nov 2016 22:56:16 +0800

fish (2.4.0-1) bionic; urgency=medium

  * Release of new version 2.4.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.4.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 08 Nov 2016 11:29:57 +0800

fish (2.4b1-1) bionic; urgency=medium

  * Release of new beta version 2.4b1.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.4b1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 18 Oct 2016 22:25:26 +0800

fish (2.3.1-1) bionic; urgency=medium

  * Release of new version 2.3.1.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 03 Jul 2016 21:21:51 +0800

fish (2.3.0-1) bionic; urgency=medium

  * Release of new version 2.3.0.

  See http://fishshell.com/release_notes.html for significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 21 May 2016 06:59:54 +0800

fish (2.3b2-1) bionic; urgency=medium

  * Release of new beta version 2.3b2.

  See https://github.com/fish-shell/fish-shell/releases/tag/2.3b2 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 05 May 2016 06:22:37 +0800

fish (2.2.0-2) bionic; urgency=medium

  * Binary rebuild only to resynchronise repository state.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Mon, 15 Feb 2016 22:45:05 +0800

fish (2.2.0-1) bionic; urgency=medium



=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: ridiculous_fish <corydoras@ridiculousfish.com>
Uploaders: David Adam <zanchey@ucc.gu.uwa.edu.au>
Build-Depends: debhelper (>= 9.20151004), libncurses5-dev, cmake (>= 3.2.0), gettext,
# Test dependencies
 locales-all, python3
# When libpcre2-dev is available on all supported Debian versions, add a dependency on that.
Standards-Version: 4.1.5
Homepage: https://fishshell.com/
Vcs-Git: https://github.com/fish-shell/fish-shell.git
Vcs-Browser: https://github.com/fish-shell/fish-shell

Package: fish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fish-common (= ${source:Version}), passwd (>= 4.0.3-10), gettext-base, man-db
Recommends: xsel (>=1.2.0)
Description: friendly interactive shell
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.

Package: fish-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fish, python3 (>= 3.5)
Suggests: xdg-utils
Replaces: fish (<= 2.1.1.dfsg-2)
Description: friendly interactive shell (architecture-independent files)
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.
 .
 This package contains the common fish files shared by all architectures.

Package: fish-dbg
Architecture: any
Section: debug
Depends: fish (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for friendly interactive shell
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.
 .
 This package contains the debugging symbols for fish.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

# Setting the build system is still required, because otherwise the GNUmakefile gets picked up
override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake --parallel

override_dh_installdocs:
	dh_installdocs --link-doc=fish

# Still needed until all platforms have debhelper 9.20151219
# Consider transitioning https://wiki.debian.org/DebugPackage
override_dh_strip:
	dh_strip --dbg-package=fish-dbg

## fish 3.5.1+ds

=== debian/changelog ===
fish (3.5.1+ds-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 28 Jul 2022 16:31:35 -0700

fish (3.5.1+ds-1) unstable; urgency=medium

  * New upstream version 3.5.1+ds (released July 20, 2022)

 -- Mo Zhou <lumin@debian.org>  Sat, 23 Jul 2022 09:42:32 -0700

fish (3.5.0+ds-1) unstable; urgency=medium

  * New upstream version 3.5.0+ds (June 2022)

 -- Mo Zhou <lumin@debian.org>  Thu, 16 Jun 2022 20:02:33 -0700

fish (3.4.1+ds-1) unstable; urgency=medium

  * New upstream version 3.4.1 (Closes: #1008618, #1008149)
  * d/copyright: Bump year.

 -- Mo Zhou <lumin@debian.org>  Thu, 31 Mar 2022 21:17:18 -0400

fish (3.4.0+ds-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * No longer need to manually create the `version` file.
  * Remove unused patches and upstream-merged patches.
  * Change pristine-tar to True in gbp.conf.

 -- Mo Zhou <lumin@debian.org>  Sat, 19 Mar 2022 22:51:25 -0400

=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               libncurses-dev,
               libpcre2-dev,
               locales-all <!nocheck>,
               ninja-build,
               procps <!nocheck>,
               python3 <!nocheck>,
               python3-pexpect <!nocheck>,
               python3-sphinx
Standards-Version: 4.6.0
Homepage: http://fishshell.com/
Vcs-Browser: https://salsa.debian.org/debian/fish
Vcs-Git: https://salsa.debian.org/debian/fish.git
Rules-Requires-Root: no

Package: fish
Architecture: any
Depends: bsdextrautils,
         fish-common (= ${source:Version}),
         groff-base,
         lynx | www-browser,
         man-db,
         python3,
         ${misc:Depends},
         ${shlibs:Depends},
         xsel
Suggests: doc-base
Description: friendly interactive shell
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.

Package: fish-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fish
Description: friendly interactive shell (architecture-independent files)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains the common fish files shared by all architectures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export TERM=xterm
export LC_ALL=C.UTF-8

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ -Scmake+ninja

override_dh_install:
	dh_install -XCHANGELOG

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym
